package com.ruoyi.cai.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.cai.domain.UserCount;
import com.ruoyi.cai.dto.admin.vo.UserCountAdminVo;
import com.ruoyi.common.core.domain.PageQuery;

/**
 * 用户信息数量统计Service接口
 *
 * @author 77
 * @date 2023-12-24
 */
public interface UserCountService extends IService<UserCount> {
    void star(Long fromUserId,Long toUserId);
    void unStar(Long fromUserId,Long toUserId);
    void visitor(Long fromUserId,Long toUserId);
    void reset(Long userId);
    void resetAsync(Long userId);

    UserCount getByUserId(Long userId);

    Page<UserCountAdminVo> pageAdmin(PageQuery pageQuery, UserCountAdminVo bo);
}
